# $Revision: 1.65 $, $Date: 2006/04/16 21:06:26 $
# TODO:
#   - FHS (at least /usr/coda, /var/coda - assuming that /coda is special)
#   - separate some programs to coda-common package
#
Summary:	Coda distributed filesystem
Summary(pl):	Rozproszony system plikw Coda
Name:		coda
Version:	6.0.12
Release:	0.1BL
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.coda.cs.cmu.edu/pub/coda/src/%{name}-%{version}.tar.gz
# Source0-md5:	32200de1d92ae9c61753a7b549c38043
Source1:	%{name}.venus.init
Source2:	%{name}.auth2.init
Source3:	%{name}.codasrv.init
Source4:	%{name}.update.init
Patch0:		%{name}-ugly-common.patch
Patch1:		%{name}-FHS.patch
Patch3:		%{name}-gcc-334-2.patch
URL:		http://www.coda.cs.cmu.edu/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	e2fsprogs-devel >= 1.34
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	lwp-devel >= 2.1
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	rpc2-devel >= 1.28
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	rvm-devel
BuildRequires:	rvm-tools
Requires:	bc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Source package for the Coda filesystem. Three packages are provided by
this rpm: the client and server and the backup components. Separately
you must install a kernel module, or have a Coda enabled kernel, and
you should get the Coda documentation package.

%description -l pl
Pakiet rdowy systemu plikw Coda. Rpm zawiera trzy pakiety:
klienta, serwer oraz komponenty do backupu. Naley oddzielnie
zainstalowa modu do jdra (lub mie jdro z obsug Cody), naley
rwnie zaopatrzy si w pakiet z dokumentacj Cody.

%package common
Summary:	Coda filesystem common programs
Summary(pl):	Wsplne programy dla klienta i serwera systemu plikw Coda
Group:		Networking/Daemons

%description common
This package contains programs used by server and client.

%description common -l pl
Ten pakiet zawiera programy uywane przez klienta i serwer systemu
plikw Coda.

%package client
Summary:	Coda client
Summary(pl):	Klient Cody
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts

%description client
This package contains the main client program, the cachemanager Venus.
Also included are the binaries for the cfs, utilities for logging, ACL
manipulation etc, the hoarding tools for use with laptops and repair
tools for fixing conflicts. Finally there is the cmon and codacon
console utilities to monitor Coda's activities. You need a Coda
kernel-module for your kernel version, or Coda in your kernel, to have
a complete coda client. Make sure to select the correct C library
version.

%description client -l pl
Ten pakiet zawiera gwnego klienta, zarzdc cache Venus. Doczone
s take binaria cfs, narzdzia do logowania, zarzdzania ACL-ami
itp., narzdzia do uywania z laptopami i narzdzia do naprawiania
konfliktw. S take narzdzia cmon i codacon do monitorowania
aktywnoci Cody. Pakiet wymaga Cody w kernelu lub module kernela.

%package server
Summary:	Coda server
Summary(pl):	Serwer Cody
Group:		Networking/Daemons
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-common = %{version}-%{release}
Requires:	rc-scripts
Requires:	rvm-tools

%define amd64 0
%{?build_amd64:%define amd64 1}

%description server
This package contains the fileserver codasrv for the coda filesystem,
as well as the volume utilities. For highest performance you will need
a modified kernel with inode system calls.

%description server -l pl
Ten pakiet zawiera codasrv - serwer systemu plikw Coda, oraz
narzdzia do wolumenw. Aby osign lepsz wydajno, potrzebny jest
zmodyfikowany kernel z wywoaniami dotyczcymi inodw.

%package backup
Summary:	Coda backup coordinator
Summary(pl):	Program do zarzdzania backupem Cody
Group:		Networking

%description backup
This package contains the backup software for the coda filesystem, as
well as the volume utilities.

%description backup -l pl
Ten pakiet zawiera oprogramowanie do backupu systemu plikw Coda oraz
narzdzia do wolumenw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if %{amd64}
%patch3 -p1
%endif

%build
touch ChangeLog
#%{__autoheader}
#%{__aclocal}
cp -f /usr/share/automake/config.sub configs
%{__autoconf}
%configure \
	--enable-crypto
%{__make} \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/%{name}/venus.cache \
	$RPM_BUILD_ROOT%{_prefix}/coda%{_sysconfdir} \
	$RPM_BUILD_ROOT/coda $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT/garbage

%{__make} client-install server-install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	libexecdir=$RPM_BUILD_ROOT%{_libexecdir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	sbindir=$RPM_BUILD_ROOT%{_sbindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/%{name} \
	initsuffix=$RPM_BUILD_ROOT/garbage

touch $RPM_BUILD_ROOT%{_localstatedir}/%{name}/venus.cache/INIT
#mknod $RPM_BUILD_ROOT/dev/cfs0 c 67 0
touch $RPM_BUILD_ROOT/coda/NOT_REALLY_CODA

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/venus
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/auth2
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/codasrv
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/update

%{__perl} -pi -e "s!usr/coda!var/lib/coda!" $RPM_BUILD_ROOT%{_sysconfdir}/coda/*

install -d $RPM_BUILD_ROOT/var/lib/coda/vice/{auth2,db,misc,spool,srv,vol}

%clean
rm -rf $RPM_BUILD_ROOT

%pre client
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot install ***"
	exit 1
else
	exit 0
fi

%post client
if [ -e %{_sysconfdir}/coda/vstab ]; then
	touch /var/lib/coda/venus.cache/INIT
else
	%{_sbindir}/venus-setup testserver.coda.cs.cmu.edu 40000
fi
/sbin/chkconfig --add venus
%service venus restart

%preun client
grep "^coda" /proc/mounts > /dev/null 2>&1
if [ $? = 0 ]; then
	echo "*** Coda is mounted: cannot uninstall ***"
	exit 1
else
	exit 0
fi
if [ "$1" = "0" ]; then
	%service venus stop
	/sbin/chkconfig --del venus
fi

%post server
/sbin/chkconfig --add auth2
%service auth2 restart

/sbin/chkconfig --add update
%service update restart

/sbin/chkconfig --add codasrv
%service codasrv restart

%preun server
if [ "$1" = "0" ]; then
	%service update stop
	/sbin/chkconfig --del update

	%service auth2 stop
	/sbin/chkconfig --del auth2

	%service codasrv stop
	/sbin/chkconfig --del codasrv
fi

%files common
%defattr(644,root,root,755)
%dir %{_sysconfdir}/coda
%attr(755,root,root) %{_sbindir}/codaconfedit
%attr(755,root,root) %{_sbindir}/coda-setup-ports
%attr(755,root,root) %{_bindir}/rpc2ping

%files client
%defattr(644,root,root,755)
%dir %{_prefix}/coda
%dir %{_prefix}/coda%{_sysconfdir}
%dir %{_localstatedir}/%{name}/venus.cache
%verify() %{_localstatedir}/%{name}/venus.cache/INIT
%attr(754,root,root) /etc/rc.d/init.d/venus
%dir /coda
%verify() /coda/NOT_REALLY_CODA
%{_sysconfdir}/coda/venus.conf.ex
%{_sysconfdir}/coda/sidekick.intr.ex
%config %{_sysconfdir}/coda/realms
%attr(755,root,root) %{_sbindir}/codastart
#%attr(755,root,root) %{_sbindir}/pwdtopdbtool.py
%attr(755,root,root) %{_sbindir}/venus-setup
%attr(755,root,root) %{_sbindir}/vutil
%attr(755,root,root) %{_sbindir}/venus
%attr(755,root,root) %{_bindir}/au
%attr(755,root,root) %{_bindir}/clog
%attr(755,root,root) %{_bindir}/coda_replay
%attr(755,root,root) %{_bindir}/cpasswd
%attr(755,root,root) %{_bindir}/ctokens
%attr(755,root,root) %{_bindir}/cunlog
%attr(755,root,root) %{_bindir}/repair
%attr(755,root,root) %{_bindir}/cmon
%attr(755,root,root) %{_bindir}/codacon
%attr(755,root,root) %{_bindir}/cfs
%attr(755,root,root) %{_bindir}/getvolinfo
%attr(755,root,root) %{_bindir}/hoard
%attr(755,root,root) %{_bindir}/spy
%attr(755,root,root) %{_bindir}/parser
%attr(755,root,root) %{_bindir}/rvmsizer
%attr(755,root,root) %{_bindir}/smon2
%attr(755,root,root) %{_bindir}/filerepair
%attr(755,root,root) %{_bindir}/removeinc
%attr(755,root,root) %{_bindir}/xfrepair
%attr(755,root,root) %{_bindir}/xaskuser
%{_mandir}/man1/au.1*
%{_mandir}/man1/cfs.1*
%{_mandir}/man1/clog.1*
%{_mandir}/man1/coda_replay.1*
%{_mandir}/man1/cmon.1*
%{_mandir}/man1/cpasswd.1*
%{_mandir}/man1/ctokens.1*
%{_mandir}/man1/cunlog.1*
%{_mandir}/man1/hoard.1*
%{_mandir}/man1/spy.1*
%{_mandir}/man1/repair.1*
%attr(755,root,root) %{_sbindir}/volmunge
%attr(755,root,root) %{_sbindir}/sidekick
%attr(755,root,root) %{_sbindir}/coda-client-logrotate
%attr(755,root,root) %{_bindir}/mklka


%files server
%defattr(644,root,root,755)
%{_sysconfdir}/coda/server.conf.ex
%attr(755,root,root) %{_sbindir}/codadump2tar
%attr(755,root,root) %{_sbindir}/startserver
%attr(755,root,root) %{_sbindir}/partial-reinit.sh
%attr(755,root,root) %{_sbindir}/createvol_rep
%attr(755,root,root) %{_sbindir}/pdbtool
%attr(755,root,root) %{_sbindir}/purgevol_rep
%attr(755,root,root) %{_sbindir}/bldvldb.sh
%attr(755,root,root) %{_sbindir}/vice-setup
%attr(755,root,root) %{_sbindir}/vice-setup-rvm
%attr(755,root,root) %{_sbindir}/vice-setup-srvdir
%attr(755,root,root) %{_sbindir}/vice-setup-user
%attr(755,root,root) %{_sbindir}/vice-setup-scm
%attr(755,root,root) %{_sbindir}/vice-killvolumes
%attr(755,root,root) %{_sbindir}/auth2
%attr(755,root,root) %{_sbindir}/initpw
%attr(755,root,root) %{_sbindir}/volutil
%attr(755,root,root) %{_sbindir}/rpc2portmap
%attr(755,root,root) %{_sbindir}/inoder
%attr(755,root,root) %{_sbindir}/parserecdump
%attr(755,root,root) %{_sbindir}/codasrv
%attr(755,root,root) %{_sbindir}/printvrdb
%attr(755,root,root) %{_sbindir}/updatesrv
%attr(755,root,root) %{_sbindir}/updateclnt
%attr(755,root,root) %{_sbindir}/updatefetch
%attr(755,root,root) %{_sbindir}/coda-server-logrotate
%attr(755,root,root) %{_sbindir}/norton
%attr(755,root,root) %{_sbindir}/norton-reinit
%attr(755,root,root) %{_bindir}/reinit
%{_mandir}/man5/backuplogs.5*
%{_mandir}/man5/dumpfile.5*
%{_mandir}/man5/dumplist.5*
%{_mandir}/man5/maxgroupid.5*
%{_mandir}/man5/passwd.coda.5*
%{_mandir}/man5/servers.5*
%{_mandir}/man5/vicetab.5*
%{_mandir}/man5/volumelist.5*
%{_mandir}/man5/vrdb.5*
%{_mandir}/man8/auth2.8*
%{_mandir}/man8/initpw.8*
%{_mandir}/man8/backup.8*
%{_mandir}/man8/bldvldb.sh.8*
%{_mandir}/man8/codasrv.8*
%{_mandir}/man8/createvol_rep.8*
%{_mandir}/man8/merge.8*
%{_mandir}/man8/norton.8*
%{_mandir}/man8/pdbtool.8*
%{_mandir}/man8/purgevol_rep.8*
%{_mandir}/man8/readdump.8*
%{_mandir}/man8/startserver.8*
%{_mandir}/man8/updateclnt.8*
%{_mandir}/man8/updatesrv.8*
%{_mandir}/man8/venus-setup.8*
%{_mandir}/man8/venus.8*
%{_mandir}/man8/vice-setup.8*
%{_mandir}/man8/volmunge.8*
%{_mandir}/man8/volutil.8*
%{_mandir}/man8/vutil.8*
%attr(754,root,root) /etc/rc.d/init.d/codasrv
%attr(754,root,root) /etc/rc.d/init.d/auth2
%attr(754,root,root) /etc/rc.d/init.d/update
%dir /var/lib/coda/vice
%dir /var/lib/coda/vice/auth2
%dir /var/lib/coda/vice/db
%dir /var/lib/coda/vice/misc
%dir /var/lib/coda/vice/spool
%dir /var/lib/coda/vice/srv
%dir /var/lib/coda/vice/spool

%files backup
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/backup.sh
%attr(755,root,root) %{_sbindir}/tape.pl
%attr(755,root,root) %{_sbindir}/auth2
%attr(755,root,root) %{_sbindir}/volutil
%attr(755,root,root) %{_sbindir}/backup
%attr(755,root,root) %{_sbindir}/readdump
%attr(755,root,root) %{_sbindir}/merge
%attr(755,root,root) %{_sbindir}/updatesrv
%attr(755,root,root) %{_sbindir}/updateclnt
%attr(755,root,root) %{_sbindir}/updatefetch

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: coda.spec,v $
Revision 1.65  2006/04/16 21:06:26  glen
- strict internal deps

Revision 1.64  2006/04/16 21:05:39  glen
- use %service

Revision 1.63  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.62  2005/12/03 16:31:06  qboosh
- no man gzipping assumption

Revision 1.61  2005/12/02 05:51:35  aredridel
- up to 6.0.12
- add manpages

Revision 1.60  2005/08/03 12:25:42  zbyniu
- up to 6.0.11; BR:flex; more dirs

Revision 1.59  2005/05/30 20:29:45  qboosh
- "more FHS" note, cosmetics

Revision 1.58  2005/05/27 10:05:49  zbyniu
- up to 6.0.10

Revision 1.57  2004/08/30 18:07:23  snurf
- typo / formatting / etc.

Revision 1.56  2004/07/01 08:57:24  aredridel
- oops, bison, not yacc

Revision 1.55  2004/07/01 08:55:11  aredridel
- added br: yacc

Revision 1.54  2004/07/01 07:40:31  aredridel
- added br

Revision 1.53  2004/06/29 08:03:59  aredridel
- made build with gcc-3.3.4, and with linux-libc-headers-2.6.6.0

Revision 1.52  2004/04/03 07:30:47  aredridel
- up to 6.0.5

Revision 1.51  2004/01/03 17:36:35  aredridel
- server requires rvm-tools

Revision 1.50  2003/12/15 18:14:43  aredridel
- up to 6.0.3 (Works with 2.6!)

Revision 1.49  2003/08/24 13:58:03  aredridel
- added missing files

Revision 1.48  2003/08/22 15:45:07  aredridel
- moved /var/lib/vice to /var/lib/coda/vice, to avoid conflict with vice package
- added /var/lib/coda/vice to spec

Revision 1.47  2003/08/22 12:12:59  gotar
- updated to 0.6.2

Revision 1.46  2003/08/06 16:47:58  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.45  2003/07/31 05:52:40  aredridel
- updated to 6.0.1
- removed files no longer distributed in this version
- first stab at FHS compliance
- builds cleanly, not sure about function yet
- will probably need help with new features in 6.0

Revision 1.44  2003/07/29 15:12:20  qboosh
- more specific Requires

Revision 1.43  2003/05/26 16:24:48  malekith
- massive attack: adding Source-md5

Revision 1.42  2003/05/25 05:46:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/03/06 07:14:28  trojan
- added BR: db-devel

Revision 1.40  2003/02/15 08:35:38  trojan
- added -fno-exceptions and -fno-rtti to CXXFLAGS

Revision 1.39  2003/02/13 07:47:43  trojan
- added common package
- fixed %%post and %%preun
- modified initscripts

Revision 1.38  2003/02/07 13:27:34  trojan
- updated to 5.3.20
- fixed Source URL
- fixed %%files
- added new PLD initscripts

Revision 1.37  2002/10/25 11:29:46  roman
- s/License: CMU/License: GPL

Revision 1.36  2002/10/25 11:27:15  roman
- added BuildRequires: readline-devel

Revision 1.35  2002/10/25 11:25:00  roman
- added BuldRequires: ncurses-devel

Revision 1.34  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.33  2002/04/25 16:06:01  arturs
fixed a small typo

Revision 1.32  2002/02/23 01:44:57  kloczek
- adapterized.

Revision 1.31  2002/02/22 23:28:45  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.30  2002/02/02 23:52:05  ankry
- adding es/pt_BR Group translations

Revision 1.29  2002/01/18 02:12:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.28  2001/10/07 13:32:45  blues
- more BR
- some ac/am stuff commented out

Revision 1.27  2001/10/07 12:55:46  blues
- Copyring -> License

Revision 1.26  2001/10/03 14:56:23  qboosh
- BuildRequires: autoconf, automake

Revision 1.25  2001/09/24 10:28:59  qboosh
- added URL

Revision 1.24  2001/09/24 10:27:55  qboosh
- -server and -client Prereq: /sbin/chkconfig
- run chkconfig --del only on remove, not upgrade; do it in preun, not postun
- added Source URL (note: there is 5.3.15 on ftp - time for upgrade?)
- rest of pl descriptions; removed "BEWARE" - it's not cvs version now?
- fixed init scripts permissions

Revision 1.23  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.21  2001/05/02 02:43:02  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/11/30 00:54:59  waszi
- updated %%install and %%files section

Revision 1.19  2000/11/29 23:56:31  agaran
Back to latest release cvs version dont complile on team..

Revision 1.18  2000/11/15 21:22:39  agaran
partially moved to cvs version NYF

Revision 1.17  2000/06/09 07:54:39  kloczek
- more %%{__make} macros.

Revision 1.16  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/05/18 17:11:04  kloczek
- spec adapterized.

Revision 1.14  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.13  2000/03/28 16:54:16  baggins
- translated kloczkish into english

Revision 1.12  2000/03/28 11:10:59  arturs
typo

Revision 1.11  2000/03/27 12:43:15  arturs
- added %description -l pl

Revision 1.10  1999/07/12 23:05:55  kloczek

- added using CVS keywords in %changelog (for automating them).

* Fri Feb 12 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- adapt to BeroLinux

* Sun Jun 21 1998 Peter Braam <braam@cs.cmu.edu>
- get rid of the kernel package. This needs interaction during the build.
- no more separate libc, glibc packages

* Tue Dec 30 1997 Peter Braam <braam@cs.cmu.edu>
- several changes: documentation separate
- use variables: =`uname -r`, 5.0.1=coda version

* Mon Jun 02 1997 Peter Braam <braam@cs.cmu.edu>
- small changes to Elliots improvements.
- some of his ideas are now in the scripts

* Wed May 28 1997 Elliot Lee <sopwith@redhat.com>
- Based upon 4.0.3-1 spec file.
- Changed to BuildRoot
- Do as much as possible at build time instead of in %post
- Added initscript for venus
